Package com.independentsoft.graph.teams

# Class ServiceHostedMediaConfig

java.lang.Object
com.independentsoft.graph.teams.MediaConfig
com.independentsoft.graph.teams.ServiceHostedMediaConfig

All Implemented Interfaces:
  `ICreatable`, `IUpdatable`

public class ServiceHostedMediaConfig extends MediaConfig

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceHostedMediaConfig()`
  `ServiceHostedMediaConfig​(JsonObject jsonObject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<MediaInfo>`
  `getPreFetchMedia()`
  `boolean`
  `isRemoveFromDefaultAudioGroup()`
  `void`
  `setRemoveFromDefaultAudioGroup​(boolean removeFromDefaultAudioGroup)`
  `String`
  `toCreateJson()`
  Converts this object to its JSON representation for creation.

  ### Methods inherited from class com.independentsoft.graph.teams.MediaConfig

  `toUpdateJson, toUpdateJson`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ServiceHostedMediaConfig

    public ServiceHostedMediaConfig()

  - ### ServiceHostedMediaConfig

    public ServiceHostedMediaConfig​(JsonObject jsonObject)

- ## Method Details

  - ### getPreFetchMedia

    public List<MediaInfo> getPreFetchMedia()

  - ### isRemoveFromDefaultAudioGroup

    public boolean isRemoveFromDefaultAudioGroup()

  - ### setRemoveFromDefaultAudioGroup

    public void setRemoveFromDefaultAudioGroup​(boolean removeFromDefaultAudioGroup)

  - ### toCreateJson

    public String toCreateJson()
    Description copied from interface: `ICreatable`
    Converts this object to its JSON representation for creation.

    This method generates a JSON string containing all properties needed to create a new instance of this resource in Microsoft Graph. Only properties appropriate for creation should be included (e.g., excluding read-only properties like ID, createdTime, etc.).

    Specified by:
      `toCreateJson` in interface `ICreatable`
    Specified by:
      `toCreateJson` in class `MediaConfig`
    Returns:
      JSON string representation for creating this resource